Pre-Development - Bug #20005

Empty String not equal to Null - create user profile

07 March 2024 11:22 AM - Zaid Haritsah

Status: Feedback
Priority: Normal
Assignee: chok yee fan
Category:

Target version:

Start date:

Due date:

% Done:
Spent time:
50%
0.00 hour
0.00 hour

Description
blank space(" ") = null issue

front end(react) will send all empty fields as empty string("") to backend instead of null

Will check and research on this

History

#1 - 07 March 2024 11:24 AM - Zaid Haritsah

JSON Body by Reach on User Profile Create Action

"userProfileEntity": {

"catld": "3",

"departmentld": "1",

"fullName": "ioppppaw",

--> "personldTypeld": ",

"personldNumber": null,

"email": "hoas@gmail.com",

"mobileNumber": "6779323424",

"userld": "9865893043",

"status": "A",

"orgld": 2,

"effectiveDt": "2024-03-14T08:00:00.000+08:00",
"expiryDt": "2024-03-15T08:00:00.000+08:00",
--> "createDt": "",

--> "createBy": "
"userProfileBean": {

"userld": "9865893043"
#2 - 11 March 2024 11:15 AM - Zaid Haritsah
- % Done changed from 0 to 50

Found that the default value is set to be empty string as react feature under react hook form.

proposed solution --> include validation to check if the input value is empty change to null.
setValue(inputValue ===" ? null : inputValue)

#3 - 11 March 2024 11:15 AM - Zaid Haritsah

- Assignee changed from Zaid Haritsah to Nityanantan Nityanantan

#4 - 11 March 2024 02:53 PM - Nityanantan Nityanantan
- Tracker changed from Clarification to Bug
- Status changed from New to Feedback

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

nity- replace Empty String to Null

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/7d2{5807{505217c506cf7e776601179fc4cf0e8?view=par
allel

#5 - 11 March 2024 04:28 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been fixed
Test for all pages by :

click the search button and the error is now gone

#6 - 12 March 2024 01:53 PM - chok yee fan

- Assignee changed from chok yee fan to Nityanantan Nityanantan

as per discuss, cannot put at axios. create another method, or let the caller to decide pass in null or ™"

#7 - 13 March 2024 03:38 PM - Nityanantan Nityanantan

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

nity- Refactor removeEmptyStringField function to accept an array of fields to return empty string

#8 - 20 March 2024 09:47 AM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/7d2f5807f505217c506cf7e776601179fc4cf0e8?view=parallel
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/7d2f5807f505217c506cf7e776601179fc4cf0e8?view=parallel
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d27e6e42e4d3da8964fb4dabae5ceb33c54e07d9

Issue has been fixed

got no issue when testing by lick the search button and the error is now gone
